# find_selectors.h File Reference

## Detailed Description

Function objects representing different tasks to be plugged into the parallel find algorithm. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file find_selectors.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Classes

- struct __gnu_parallel::adjacent_find_selector
    Test predicate on two adjacent elements. More...
- struct __gnu_parallel::find_first_of_selector< ForwardIterator >
    Test predicate on several elements. More...
- struct __gnu_parallel::find_if_selector
    Test predicate on a single element, used for std::find() and std::find_if (). More...
- struct __gnu_parallel::generic_find_selector
    Base class of all __gnu_parallel::find_template selectors. More...
- struct __gnu_parallel::mismatch_selector
    Test inverted predicate on a single element. More...

## Defines

- #define _GLIBCXX_PARALLEL_FIND_FUNCTIONS_H